GDB (xrefs)

Classes | Public Member Functions | List of all members
gdb::default_init_allocator< T, A > Class Template Reference

`#include "default-init-alloc.h"`

Inheritance diagram for gdb::default_init_allocator< T, A >:

## Classes
struct | rebind

## Public Member Functions
template<typename U >
void | construct (U *ptr) noexcept(std::is_nothrow_default_constructible< U >::value)

## Detailed Description

### template<typename T, typename A = std::allocator<T>>
class gdb::default_init_allocator< T, A >

Definition at line 33 of file default-init-alloc.h.

## Member Function Documentation

## ◆ construct()

template<typename T , typename A = std::allocator<T>>
template<typename U >

void gdb::default_init_allocator< T, A >::construct | ( | U * | ptr | ) |
| inline noexcept

Definition at line 58 of file default-init-alloc.h.

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/common/default-init-alloc.h